# excel文件读取
分为两层

下层为读取Excel原始数据```com.finebi.common.excel.api.reader```

上层为读取为BI的数据结构```com.finebi.common.excel.api.datamodel```
## excel读取原始数据
```com.finebi.common.excel.api.reader.ExcelReaderManager```为主要调用接口
- 非流式调用```com.finebi.common.excel.api.reader.ExcelReaderManager.createReader```
- 流式调用```com.finebi.common.excel.api.reader.ExcelReaderManager.createStreamReader```

## excel读取为DataModel或者RowIterator
- 调用```com.finebi.common.excel.api.datamodel.ExcelDataModelExecutorFactory```, 调用入参为```ExcelReadInfo```
- 调用
```com.finebi.common.excel.impl.executor.FieldConstantExcelDataModelExecutor```,
```com.finebi.common.excel.impl.executor.FirstUploadExcelDataModelExecutor```,
```com.finebi.common.excel.impl.executor.ReloadUploadExcelDataModelExecutor```,
```com.finebi.common.excel.impl.executor.FieldConstantExcelRowIteratorExecutor```,
 调用入参中的ExcelDataHelper为实际读取Excel文件的工具方法, 可以自定义实现. 默认的实现为```DefaultExcelDataHelper```和```DefaultExcelDataIteratorHelper```

